//
// This file was generated by the Eclipse Implementation of JAXB, v3.0.0 
// See https://eclipse-ee4j.github.io/jaxb-ri 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2023.08.30 at 10:47:28 AM CEST 
//


package se.arbetsformedlingen.wsdl;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SkillHeadline complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SkillHeadline"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="SkillMainHeadline" type="{urn:ams.se:Taxonomy}SkillMainHeadline" minOccurs="0"/&gt;
 *         &lt;element name="SkillHeadlineID" type="{http://www.w3.org/2001/XMLSchema}int"/&gt;
 *         &lt;element name="Term" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SkillHeadline", namespace = "urn:ams.se:Taxonomy", propOrder = {
    "skillMainHeadline",
    "skillHeadlineID",
    "term"
})
public class SkillHeadline {

    @XmlElement(name = "SkillMainHeadline")
    protected SkillMainHeadline skillMainHeadline;
    @XmlElement(name = "SkillHeadlineID")
    protected int skillHeadlineID;
    @XmlElement(name = "Term")
    protected String term;

    /**
     * Gets the value of the skillMainHeadline property.
     * 
     * @return
     *     possible object is
     *     {@link SkillMainHeadline }
     *     
     */
    public SkillMainHeadline getSkillMainHeadline() {
        return skillMainHeadline;
    }

    /**
     * Sets the value of the skillMainHeadline property.
     * 
     * @param value
     *     allowed object is
     *     {@link SkillMainHeadline }
     *     
     */
    public void setSkillMainHeadline(SkillMainHeadline value) {
        this.skillMainHeadline = value;
    }

    /**
     * Gets the value of the skillHeadlineID property.
     * 
     */
    public int getSkillHeadlineID() {
        return skillHeadlineID;
    }

    /**
     * Sets the value of the skillHeadlineID property.
     * 
     */
    public void setSkillHeadlineID(int value) {
        this.skillHeadlineID = value;
    }

    /**
     * Gets the value of the term property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTerm() {
        return term;
    }

    /**
     * Sets the value of the term property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTerm(String value) {
        this.term = value;
    }

}
